MT300a - Dist Repo Broken 2.265

Hello,
I have a MT300a that Ive been using alongside many other gl-inet devices. This one I use as a backup WAN link to my home router (Failover to another WISP). Rarely used. I wanted to add a NUT server to it but noticed the repos are broken due to:

Downloading http://www.gl-inet.com/openwrt/ramips/2.263/packages/base/Packages.gz.
Downloading http://www.gl-inet.com/openwrt/ramips/2.263/packages/base/Packages.sig.
Signature check failed.
Remove wrong Signature file.
Downloading http://www.gl-inet.com/openwrt/ramips/2.263/packages/luci/Packages.gz.
Downloading http://www.gl-inet.com/openwrt/ramips/2.263/packages/luci/Packages.sig.
Signature check failed.
Remove wrong Signature file.
Downloading http://www.gl-inet.com/openwrt/ramips/2.263/packages/management/Packages.gz.
Downloading http://www.gl-inet.com/openwrt/ramips/2.263/packages/management/Packages.sig.
Signature check failed.
Remove wrong Signature file.
Downloading http://www.gl-inet.com/openwrt/ramips/2.263/packages/packages/Packages.gz.
Downloading http://www.gl-inet.com/openwrt/ramips/2.263/packages/packages/Packages.sig.
Signature check failed.
< I truncated repetitions for length >

Further details:

wget: server returned error: HTTP/1.1 400 Bad Request
wget: server returned error: HTTP/1.1 400 Bad Request
wget: server returned error: HTTP/1.1 400 Bad Request
wget: server returned error: HTTP/1.1 400 Bad Request
wget: server returned error: HTTP/1.1 400 Bad Request
wget: server returned error: HTTP/1.1 400 Bad Request
wget: server returned error: HTTP/1.1 400 Bad Request

Collected errors:
 * opkg_download: Failed to download http://www.gl-inet.com/openwrt/ramips/2.263/packages/base/Packages.gz, wget returned 1.
 * opkg_download: Failed to download http://www.gl-inet.com/openwrt/ramips/2.263/packages/base/Packages.sig, wget returned 1.
 * opkg_download: Failed to download http://www.gl-inet.com/openwrt/ramips/2.263/packages/luci/Packages.gz, wget returned 1.
 * opkg_download: Failed to download http://www.gl-inet.com/openwrt/ramips/2.263/packages/luci/Packages.sig, wget returned 1.
 * opkg_download: Failed to download http://www.gl-inet.com/openwrt/ramips/2.263/packages/management/Packages.gz, wget returned 1.

< I truncated repetitions for length >

Help?
Is this repo still available? Is there an alternative? I know the device is old but its been great and would like to continue using it.

Thank you…

BTW, love these, especially the low power ones. Started with a 6416, I now travel with a 3000ax Beryl and my trusty Shadow that Ive used for many many years all over the world… Bought many for friends and family for travel, RVs, etc.